package com.xinelu.manage.domain.patientquestionoptionresult;

import com.xinelu.common.annotation.Excel;
import com.xinelu.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;

/**
 * 患者问卷题目选项提交结果信息对象 patient_question_option_result
 *
 * @author xinelu
 * @date 2024-03-28
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "患者问卷题目选项提交结果信息对象", description = "patient_question_option_result")
public class PatientQuestionOptionResult extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 问卷题目提交结果信息表id
     */
    @ApiModelProperty(value = "问卷题目提交结果信息表id")
    @Excel(name = "问卷题目提交结果信息表id")
    private Long questionSubjectResultId;

    /**
     * 问卷题目表id
     */
    @ApiModelProperty(value = "问卷题目表id")
    @Excel(name = "问卷题目表id")
    private Long questionnaireSubjectId;

    /**
     * 题目名称
     */
    @ApiModelProperty(value = "题目名称")
    @Excel(name = "题目名称")
    private String questionName;

    /**
     * 选项名称
     */
    @ApiModelProperty(value = "选项名称")
    @Excel(name = "选项名称")
    private String optionName;

    /**
     * 选项答案
     */
    @ApiModelProperty(value = "选项答案")
    @Excel(name = "选项答案")
    private String optionAnswer;

    /**
     * 选项分值
     */
    @ApiModelProperty(value = "选项分值")
    @Excel(name = "选项分值")
    private BigDecimal optionScore;

    /**
     * 题目选项选择标识，0：已选择，1：未选择
     */
    @ApiModelProperty(value = "题目选项选择标识，0：已选择，1：未选择")
    @Excel(name = "题目选项选择标识，0：已选择，1：未选择")
    private Integer optionChooseSign;

    /**
     * 选项题目提交答案
     */
    @ApiModelProperty(value = "选项题目提交答案")
    @Excel(name = "选项题目提交答案")
    private String optionSubmitAnswer;

    /**
     * 选项排序
     */
    @ApiModelProperty(value = "选项排序")
    @Excel(name = "选项排序")
    private Integer optionSort;

    /**
     * 选项备注
     */
    @ApiModelProperty(value = "选项备注")
    @Excel(name = "选项备注")
    private String optionRemark;


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("questionSubjectResultId", getQuestionSubjectResultId())
                .append("questionnaireSubjectId", getQuestionnaireSubjectId())
                .append("questionName", getQuestionName())
                .append("optionName", getOptionName())
                .append("optionAnswer", getOptionAnswer())
                .append("optionScore", getOptionScore())
                .append("optionChooseSign", getOptionChooseSign())
                .append("optionSubmitAnswer", getOptionSubmitAnswer())
                .append("optionSort", getOptionSort())
                .append("optionRemark", getOptionRemark())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
